Skip to Content
Get Engagement Hotspots for a Video
get
Beta

Returns the engagement hotspots for a video. Hotspots are the most or least engaging moments of the content, each described by a start and end time (in milliseconds) and a score between 0 and 1. Set order_direction to asc to return the least engaging moments (cold spots).

Request path & query params
VIDEO_ID
string

ID of the Video, as provided in the video_id metadata field when configuring the player.

timeframe[]
array

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=).

Accepted formats are...

  • array of epoch timestamps e.g. timeframe[]=1498867200&timeframe[]=1498953600
  • duration string e.g. timeframe[]=24:hours or timeframe[]=7:days
limit
integer

Maximum number of hotspots to return. If omitted, all hotspots are returned.

order_direction
string
Possible values: "asc""desc"

Sort order.

get
200
https://api.mux.com/data/v1/engagement/videos/{VIDEO_ID}/hotspots
Response
(application/json)
{
  "total_row_count": 2,
  "timeframe": [
    1610025789,
    1610112189
  ],
  "data": {
    "total_views": 1024,
    "hotspots": [
      {
        "start_ms": 30000,
        "end_ms": 45000,
        "score": 0.842
      },
      {
        "start_ms": 120000,
        "end_ms": 138000,
        "score": 0.713
      }
    ]
  }
}